summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2019-12-10 13:16:50 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2019-12-10 13:22:27 +0100
commitdde5ad259539f03c866f582244516c72ca19b284 (patch)
tree9f210fbb17b4aa4d70b698d5d77db9b1c8657141 /gnustep-apps
parentgnustep-libs/sope: 4.1.1 bump (diff)
downloadgentoo-dde5ad259539f03c866f582244516c72ca19b284.tar.gz
gentoo-dde5ad259539f03c866f582244516c72ca19b284.tar.bz2
gentoo-dde5ad259539f03c866f582244516c72ca19b284.zip
gnustep-apps/sogo: 4.1.1 bump
Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>
Diffstat (limited to 'gnustep-apps')
-rw-r--r--gnustep-apps/sogo/Manifest1
-rw-r--r--gnustep-apps/sogo/sogo-4.1.1.ebuild110
2 files changed, 111 insertions, 0 deletions
diff --git a/gnustep-apps/sogo/Manifest b/gnustep-apps/sogo/Manifest
index 16a178dc33d..16315838c6e 100644
--- a/gnustep-apps/sogo/Manifest
+++ b/gnustep-apps/sogo/Manifest
@@ -1,2 +1,3 @@
DIST sogo-4.0.7.tar.gz 34455581 BLAKE2B 471ae8fc503fb2282cbd585286c0eede4e91e14bd9314a02089ffb0c69a8453538902cc26a4ebfdcacdce3d90f2d640221e1b452ad4b6a8064de89b1694eee7e SHA512 8e7eb946ab6ad8c47e6b612723675704602199b530c760ded5325f1230d89e7a812a61d9e652c7eca3050ed0bd0dd33d95faf2478f58a82dcba745cce4906675
DIST sogo-4.0.8.tar.gz 34439405 BLAKE2B 603ef52d305c13e2d5d200b53143771ceb762c97f4f6e09aff31091f482bb43fa2638f88fcd676770b55da6e85c072dbf884c8cce20d2a71c8d62d0a98e30089 SHA512 7f8d7e3af2c92d7684f2ce3343fd9c079d567e2f09fc5ae1405e46b8eee460ab8e4349c03020bc8e55993472021633f9e37d3d8c3136a485dff1d32f45ba200a
+DIST sogo-4.1.1.tar.gz 34492410 BLAKE2B 43c15991eede15b58d22681297d7d2d8031ee189e4b843af7c44e52a915d89d30c181dc52c25e4784b0e9011f5d6f22bf070b9125491fe37360ced2b623c0f86 SHA512 e24d4b7f71eeed05dcb694ee07a03df6ac9a63d7fb9455f972add9c251f85e1418683a95de5b584b0db3a471d593c8595b343db1345fcb95235ba59a09235d5a
diff --git a/gnustep-apps/sogo/sogo-4.1.1.ebuild b/gnustep-apps/sogo/sogo-4.1.1.ebuild
new file mode 100644
index 00000000000..e7e2290ee3e
--- /dev/null
+++ b/gnustep-apps/sogo/sogo-4.1.1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnustep-2 user vcs-snapshot
+
+DESCRIPTION="Groupware server built around OpenGroupware.org and the SOPE application server"
+HOMEPAGE="http://www.sogo.nu"
+SRC_URI="https://github.com/inverse-inc/sogo/archive/SOGo-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="activesync gnutls libressl +ssl"
+
+RDEPEND="
+ dev-libs/libmemcached
+ net-misc/curl
+ net-misc/memcached
+ >=gnustep-libs/sope-${PV}[ldap]
+ activesync? ( dev-libs/libwbxml )
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+"
+DEPEND="${RDEPEND}
+ >=gnustep-base/gnustep-make-2.6.3"
+
+pkg_pretend() {
+ if use ssl && use gnutls && use libressl ; then
+ ewarn "You have enabled both gnutls and libressl, but only"
+ ewarn "one provider can be active. Using gnutls!"
+ fi
+}
+
+pkg_setup() {
+ enewgroup sogo
+ enewuser sogo -1 /bin/bash /var/lib/sogo sogo
+}
+
+src_prepare() {
+ gnustep-base_src_prepare
+ sed -e "s/validateArgs$//" -i configure \
+ || die
+ if use activesync; then
+ sed -e 's/Tests\/Unit/ActiveSync &/g' \
+ -i GNUmakefile || die
+ fi
+
+ default
+}
+
+src_configure() {
+ local ssl_provider
+ if use ssl ; then
+ if use gnutls ; then
+ ssl_provider=gnutls
+ else
+ ssl_provider=ssl
+ fi
+ else
+ ssl_provider=none
+ fi
+
+ egnustep_env
+
+ ./configure \
+ --disable-strip \
+ --prefix=/usr \
+ --with-ssl="${ssl_provider}" \
+ $(use_enable debug) \
+ || die "configure failed"
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ newconfd "${FILESDIR}"/sogod.confd sogod
+ newinitd "${FILESDIR}"/sogod.initd sogod
+
+ insinto /etc/logrotate.d
+ newins Scripts/logrotate sogo
+ newdoc Apache/SOGo.conf SOGo-Apache.conf
+
+ insinto /etc/sogo
+ doins Scripts/sogo.conf
+
+ insinto /etc/cron.d
+ newins Scripts/sogo.cron sogo
+ keepdir /var/log/sogo
+
+ fowners sogo:sogo /var/log/sogo
+ fowners -R root:sogo /etc/sogo
+}
+
+pkg_postinst() {
+ gnustep-base_pkg_postinst
+ elog "SOGo documentation is available online at:"
+ elog "http://www.sogo.nu/downloads/documentation.html"
+ elog
+ elog "Apache sample configuration file is available in:"
+ elog "/usr/share/doc/${PF}"
+ if use activesync; then
+ ewarn "In order to use the SOGo ActiveSync support code in production environments,"
+ ewarn "you need to get a proper usage license. Check the documentation for details."
+ fi
+}